package com.cim.idm.wmspackage.materialshiprequest.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialShipRequest extends FieldAccessor implements DataInfo<MaterialShipRequestKey> {
	private MaterialShipRequestKey key;
	@UserColumnMark
	private String systemType;
	private String shipRequestState;
	private String oldShipRequestState;
	private String shipRequestType;
	private String shipRequestDetailType;
	private String customerNO;
	private String deliveryType;
	@UserColumnMark
	private Timestamp shipPlanDate;
	private String workOrderId;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	
	
	// ERP升级项目--WMS25接口增加
    private String grund;
    private String grtxt;

    public String getGrund() {
        return grund;
    }

    public void setGrund(String grund) {
        this.grund = grund;
    }

    public String getGrtxt() {
        return grtxt;
    }

    public void setGrtxt(String grtxt) {
        this.grtxt = grtxt;
    }
    
    
    private String zf_State;


    public String getZf_State() {
        return zf_State;
    }

    public void setZf_State(String zf_State) {
        this.zf_State = zf_State;
    }
	
	
	private String erpReceiveFactory;
	private String erpReceiveLocation;
	private String exportNo;
	private String erpFactoryName;
	
	
	private String saleReason;
	private String saleReasonDescription;
	private String customsDeclare;
	private String weight;
	private String volume;
	private String costCenter;
	@UserColumnMark
	private String receiver;
	private String destination;
	private String contactNo;
	@UserColumnMark
	private String mesReceiveFlag;
	private String specialFlag;
	private String specialComment;
	
	public String getDestination() {
		return destination;
	}
	public void setDestination(String destination) {
		this.destination=destination;
	}
	public String getContactNo() {
		return contactNo;
	}
	public void setContactNo(String contactNo) {
		this.contactNo=contactNo;
	}
	
	public String getWeight() {
		return weight;
	}
	public void setWeight(String weight) {
		this.weight = weight;
	}
	public String getVolume() {
		return volume;
	}
	public void setVolume(String volume) {
		this.volume = volume;
	}
	public String getCostCenter() {
		return costCenter;
	}
	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}
	public String getReceiver() {
		return receiver;
	}
	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}
	public String getCustomsDeclare() {
		return customsDeclare;
	}
	public void setCustomsDeclare(String customsDeclare) {
		this.customsDeclare = customsDeclare;
	}
	public String getSaleReason() {
		return saleReason;
	}
	public void setSaleReason(String saleReason) {
		this.saleReason = saleReason;
	}
	public String getSaleReasonDescription() {
		return saleReasonDescription;
	}
	public void setSaleReasonDescription(String saleReasonDescription) {
		this.saleReasonDescription = saleReasonDescription;
	}
	
	
	public String getExportNo() {
		return exportNo;
	}
	public void setExportNo(String exportNo) {
		this.exportNo = exportNo;
	}
	public String getErpReceiveFactory() {
		return erpReceiveFactory;
	}
	public void setErpReceiveFactory(String erpReceiveFactory) {
		this.erpReceiveFactory = erpReceiveFactory;
	}
	public String getErpReceiveLocation() {
		return erpReceiveLocation;
	}
	public void setErpReceiveLocation(String erpReceiveLocation) {
		this.erpReceiveLocation = erpReceiveLocation;
	}
	
	public MaterialShipRequestKey getKey() {
		return key;
	}
	public void setKey(MaterialShipRequestKey key) {
		this.key = key;
	}
	public String getShipRequestState() {
		return shipRequestState;
	}
	public void setShipRequestState(String shipRequestState) {
		this.shipRequestState = shipRequestState;
	}
	public String getOldShipRequestState() {
		return oldShipRequestState;
	}
	public void setOldShipRequestState(String oldShipRequestState) {
		this.oldShipRequestState = oldShipRequestState;
	}
	
	public String getShipRequestType() {
		return shipRequestType;
	}
	public void setShipRequestType(String shipRequestType) {
		this.shipRequestType = shipRequestType;
	}
	public String getShipRequestDetailType() {
		return shipRequestDetailType;
	}
	public void setShipRequestDetailType(String shipRequestDetailType) {
		this.shipRequestDetailType = shipRequestDetailType;
	}
	public String getCustomerNO() {
		return customerNO;
	}
	public void setCustomerNO(String customerNO) {
		this.customerNO = customerNO;
	}
	public String getDeliveryType() {
		return deliveryType;
	}
	public void setDeliveryType(String deliveryType) {
		this.deliveryType = deliveryType;
	}
	
	public Timestamp getShipPlanDate() {
		return shipPlanDate;
	}
	public void setShipPlanDate(Timestamp shipPlanDate) {
		this.shipPlanDate = shipPlanDate;
	}
	public String getWorkOrderId() {
		return workOrderId;
	}
	public void setWorkOrderId(String workOrderId) {
		this.workOrderId = workOrderId;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getSystemType() {
		return systemType;
	}
	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}
	
	public String getErpFactoryName() {
		return erpFactoryName;
	}
	public void setErpFactoryName(String erpFactoryName) {
		this.erpFactoryName = erpFactoryName;
	}
	
	public String getweight() {
		return weight;
	}
	public void setweight(String weight) {
		this.weight = weight;
	}
	
	public String getvolume(){
		return volume;
	}
	public void setvolume(String volume) {
		this.volume = volume;
	}
	public String getMesReceiveFlag() {
		return mesReceiveFlag;
	}
	public void setMesReceiveFlag(String mesReceiveFlag) {
		this.mesReceiveFlag = mesReceiveFlag;
	}
	public String getSpecialFlag() {
		return specialFlag;
	}
	public void setSpecialFlag(String specialFlag) {
		this.specialFlag = specialFlag;
	}
	public String getSpecialComment() {
		return specialComment;
	}
	public void setSpecialComment(String specialComment) {
		this.specialComment = specialComment;
	}
	
}
